Loading...
Searching...
No Matches
viterbi.h File Reference
`#include <gnuradio/fec/api.h>`
Include dependency graph for gr-fec/include/gnuradio/fec/viterbi.h:

Go to the source code of this file.

## Classes

struct | gr::fec::viterbi_state

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::fec

## Functions

FEC_API void | gr::fec::gen_met (int mettab[2][256], int amp, double esn0, double bias, int scale)
FEC_API unsigned char | gr::fec::encode (unsigned char *symbols, const unsigned char *data, unsigned int nbytes, unsigned char encstate)
FEC_API void | gr::fec::viterbi_chunks_init (struct viterbi_state *state)
FEC_API void | gr::fec::viterbi_butterfly2 (unsigned char *symbols, int mettab[2][256], struct viterbi_state *state0, struct viterbi_state *state1)
FEC_API unsigned char | gr::fec::viterbi_get_output (struct viterbi_state *state, unsigned char *outbuf)